Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::PrimitiveDrawRequest Class Reference

プリミティブ描画リクエスト More...

`#include <PrimitiveDrawRequest.h>`

List of all members.

## Public Member Functions
| PrimitiveDrawRequest ()
| コンストラクタ
| PrimitiveDrawRequest (const PrimitiveDrawRequest &copy)
| コピーコンストラクタ
PrimitiveDrawRequest & | operator= (const PrimitiveDrawRequest &copy)
| 代入コピー
virtual | ~PrimitiveDrawRequest ()
| デストラクタ
virtual void | setVertexCount (int vertexCount)
| 頂点数の設定
virtual int | getVertexCount () const
| 頂点数の取得
virtual int | getVertexSize () const
| 頂点サイズの取得
virtual void | setPosition (int index, const Vector3 &position)
| 位置の設定
virtual const Vector3 & | getPosition (int index) const
| 位置の取得
virtual const Vector3 * | getPositionArray () const
| 位置配列の取得
virtual void | enableColor (bool colorFlag)
| カラーを有効にするかどうか
virtual bool | hasColor () const
| カラーを持つか
virtual void | setColor (int index, const Color4c &color)
| カラーの設定
virtual const Color4c & | getColor (int index) const
| カラーの取得
virtual const Color4c * | getColorArray () const
| カラー配列の取得
virtual bool | hasVertexIndices () const
| 頂点インデックスを持つかどうか
virtual void | setVertexIndexCount (int vertexIndexCount)
| 頂点インデックス数の設定
virtual int | getVertexIndexCount () const
| 頂点インデックス数の取得
virtual void | setVertexIndex (int index, u_short vertexIndex)
| 頂点インデックスの設定
virtual u_short | getVertexIndex (int index) const
| 頂点インデックスの取得
virtual const u_short * | getVertexIndexArray ()
| 頂点インデックス配列の取得
## Friends
class | PrimitiveRenderer

## Detailed Description

プリミティブ描画リクエスト

Definition at line 36 of file PrimitiveDrawRequest.h.

## Constructor & Destructor Documentation

Lamp::PrimitiveDrawRequest::PrimitiveDrawRequest | ( | const PrimitiveDrawRequest & | copy | ) |

  | コピーコンストラクタ Parameters:
  copy | コピー元
Definition at line 39 of file PrimitiveDrawRequest.cpp. References data_.

## Member Function Documentation

void Lamp::PrimitiveDrawRequest::enableColor | ( | bool | colorFlag | ) | `[virtual]`

  | カラーを有効にするかどうか Parameters:
  colorFlag | trueならカラーが有効になる
Definition at line 93 of file PrimitiveDrawRequest.cpp. References Assert, hasColor(), SafeArrayDelete, and SafeRelease. Referenced by Lamp::PrimitiveDrawRequestBuilder::buildArrow(), Lamp::PrimitiveDrawRequestBuilder::buildAxis(), Lamp::PrimitiveDrawRequestBuilder::buildAxisPoint(), Lamp::PrimitiveDrawRequestBuilder::buildBone(), Lamp::PrimitiveDrawRequestBuilder::buildGrid(), Lamp::PrimitiveDrawRequestBuilder::buildPlane(), Lamp::PrimitiveDrawRequestBuilder::buildPoint(), and Lamp::PrimitiveRenderer::requestLine().

virtual const Color4c& Lamp::PrimitiveDrawRequest::getColor | ( | int | index | ) | const`[inline, virtual]`

  | カラーの取得 Parameters:
  index | インデックス
Returns: カラー Definition at line 150 of file PrimitiveDrawRequest.h. References Assert, and hasColor().

virtual const Color4c* Lamp::PrimitiveDrawRequest::getColorArray | ( |  | ) | const`[inline, virtual]`

| カラー配列の取得 Returns: カラー配列 Definition at line 160 of file PrimitiveDrawRequest.h.

virtual const Vector3& Lamp::PrimitiveDrawRequest::getPosition | ( | int | index | ) | const`[inline, virtual]`

  | 位置の取得 Parameters:
  index | インデックス
Returns: 位置 Definition at line 107 of file PrimitiveDrawRequest.h. References Assert.

virtual const Vector3* Lamp::PrimitiveDrawRequest::getPositionArray | ( |  | ) | const`[inline, virtual]`

| 位置配列の取得 Returns: 位置配列 Definition at line 116 of file PrimitiveDrawRequest.h.

virtual int Lamp::PrimitiveDrawRequest::getVertexCount | ( |  | ) | const`[inline, virtual]`

| 頂点数の取得 Returns: 頂点数 Definition at line 77 of file PrimitiveDrawRequest.h. Referenced by Lamp::PrimitiveRenderer::renderRequest().

virtual u_short Lamp::PrimitiveDrawRequest::getVertexIndex | ( | int | index | ) | const`[inline, virtual]`

  | 頂点インデックスの取得 Parameters:
  index | インデックス
Returns: 頂点インデックス Definition at line 202 of file PrimitiveDrawRequest.h. References Assert, getVertexIndexCount(), hasVertexIndices(), and u_short.

virtual const u_short* Lamp::PrimitiveDrawRequest::getVertexIndexArray | ( |  | ) | `[inline, virtual]`

| 頂点インデックス配列の取得 Returns: 頂点インデックス配列 Definition at line 212 of file PrimitiveDrawRequest.h. References u_short.

virtual int Lamp::PrimitiveDrawRequest::getVertexIndexCount | ( |  | ) | const`[inline, virtual]`

| 頂点インデックス数の取得 Returns: 頂点インデックス数 Definition at line 183 of file PrimitiveDrawRequest.h. Referenced by getVertexIndex(), Lamp::PrimitiveRenderer::renderRequest(), and setVertexIndex().

virtual int Lamp::PrimitiveDrawRequest::getVertexSize | ( |  | ) | const`[inline, virtual]`

| 頂点サイズの取得 Returns: 頂点サイズ Definition at line 83 of file PrimitiveDrawRequest.h. References hasColor(). Referenced by Lamp::PrimitiveRenderer::renderRequest().

virtual bool Lamp::PrimitiveDrawRequest::hasColor | ( |  | ) | const`[inline, virtual]`

| カラーを持つか Returns: カラーを持つならtrue Definition at line 131 of file PrimitiveDrawRequest.h. References NULL. Referenced by enableColor(), getColor(), getVertexSize(), Lamp::PrimitiveRenderer::renderRequest(), setColor(), and setVertexCount().

virtual bool Lamp::PrimitiveDrawRequest::hasVertexIndices | ( |  | ) | const`[inline, virtual]`

| 頂点インデックスを持つかどうか Returns: 頂点インデックスを持つならtrue Definition at line 169 of file PrimitiveDrawRequest.h. Referenced by getVertexIndex(), Lamp::PrimitiveRenderer::renderRequest(), and setVertexIndex().

PrimitiveDrawRequest & Lamp::PrimitiveDrawRequest::operator= | ( | const PrimitiveDrawRequest & | copy | ) |

  | 代入コピー Parameters:
  copy | コピー元
Definition at line 45 of file PrimitiveDrawRequest.cpp. References data_.

virtual void Lamp::PrimitiveDrawRequest::setColor | ( | int | index,
|  | const Color4c & | color
| ) | `[inline, virtual]`

  | カラーの設定 Parameters:
  index | インデックス
  color | カラー
Definition at line 138 of file PrimitiveDrawRequest.h. References Assert, and hasColor(). Referenced by Lamp::PrimitiveDrawRequestBuilder::buildArrow(), Lamp::PrimitiveDrawRequestBuilder::buildAxis(), Lamp::PrimitiveDrawRequestBuilder::buildAxisPoint(), Lamp::PrimitiveDrawRequestBuilder::buildBone(), Lamp::PrimitiveDrawRequestBuilder::buildGrid(), Lamp::PrimitiveDrawRequestBuilder::buildPlane(), Lamp::PrimitiveDrawRequestBuilder::buildPoint(), and Lamp::PrimitiveRenderer::requestLine().

virtual void Lamp::PrimitiveDrawRequest::setPosition | ( | int | index,
|  | const Vector3 & | position
| ) | `[inline, virtual]`

  | 位置の設定 Parameters:
  index | インデックス
  position | 位置
Definition at line 96 of file PrimitiveDrawRequest.h. References Assert. Referenced by Lamp::PrimitiveDrawRequestBuilder::buildArrow(), Lamp::PrimitiveDrawRequestBuilder::buildAxis(), Lamp::PrimitiveDrawRequestBuilder::buildAxisPoint(), Lamp::PrimitiveDrawRequestBuilder::buildBone(), Lamp::PrimitiveDrawRequestBuilder::buildBox(), Lamp::PrimitiveDrawRequestBuilder::buildCone(), Lamp::PrimitiveDrawRequestBuilder::buildCylinder(), Lamp::PrimitiveDrawRequestBuilder::buildGrid(), Lamp::PrimitiveDrawRequestBuilder::buildPlane(), Lamp::PrimitiveDrawRequestBuilder::buildPoint(), Lamp::PrimitiveDrawRequestBuilder::buildSphere(), and Lamp::PrimitiveRenderer::requestLine().

void Lamp::PrimitiveDrawRequest::setVertexCount | ( | int | vertexCount | ) | `[virtual]`

  | 頂点数の設定 Parameters:
  vertexCount | 頂点数
Definition at line 74 of file PrimitiveDrawRequest.cpp. References Assert, hasColor(), SafeArrayDelete, and SafeRelease. Referenced by Lamp::PrimitiveDrawRequestBuilder::buildArrow(), Lamp::PrimitiveDrawRequestBuilder::buildAxis(), Lamp::PrimitiveDrawRequestBuilder::buildAxisPoint(), Lamp::PrimitiveDrawRequestBuilder::buildBone(), Lamp::PrimitiveDrawRequestBuilder::buildBox(), Lamp::PrimitiveDrawRequestBuilder::buildCone(), Lamp::PrimitiveDrawRequestBuilder::buildCylinder(), Lamp::PrimitiveDrawRequestBuilder::buildGrid(), Lamp::PrimitiveDrawRequestBuilder::buildPlane(), Lamp::PrimitiveDrawRequestBuilder::buildPoint(), Lamp::PrimitiveDrawRequestBuilder::buildSphere(), and Lamp::PrimitiveRenderer::requestLine().

virtual void Lamp::PrimitiveDrawRequest::setVertexIndex | ( | int | index,
|  | u_short | vertexIndex
| ) | `[inline, virtual]`

  | 頂点インデックスの設定 Parameters:
  index | インデックス
  vertexIndex | 頂点インデックス
Definition at line 190 of file PrimitiveDrawRequest.h. References Assert, getVertexIndexCount(), and hasVertexIndices(). Referenced by Lamp::PrimitiveDrawRequestBuilder::buildBox(), Lamp::PrimitiveDrawRequestBuilder::buildCone(), Lamp::PrimitiveDrawRequestBuilder::buildCylinder(), and Lamp::PrimitiveDrawRequestBuilder::buildSphere().

void Lamp::PrimitiveDrawRequest::setVertexIndexCount | ( | int | vertexIndexCount | ) | `[virtual]`

  | 頂点インデックス数の設定 Parameters:
  vertexIndexCount | 頂点インデックス数
Definition at line 107 of file PrimitiveDrawRequest.cpp. References SafeArrayDelete, SafeRelease, and u_short. Referenced by Lamp::PrimitiveDrawRequestBuilder::buildBox(), Lamp::PrimitiveDrawRequestBuilder::buildCone(), Lamp::PrimitiveDrawRequestBuilder::buildCylinder(), and Lamp::PrimitiveDrawRequestBuilder::buildSphere().

The documentation for this class was generated from the following files:

- PrimitiveDrawRequest.h
- PrimitiveDrawRequest.cpp